#!/bin/sh
#
# yasm optimized version (instead of C++)  http://www.tortall.net/projects/yasm/wiki
#
# script: til <rob DOT til DOT freedman AT googlemail DOT com>
set -x -e -u

# mac
version='3.99-u4-b5-s6'
build='64.1'
#
arch=${arch:-i686}
#tune=pentium-m
tune=${tune:-i686}
#
# make version according to package rules
pkgname=mac-$(echo $version | tr "-" ".")
package=$pkgname-$arch-$build
#
PKG_SRC="http://zenwalk.pinguix.com/user-accounts/tilderb/extra/ap/mac/build-mac.sh
http://www.etree.org/shnutils/shntool/support/formats/ape/unix/3.99-u4-b5-s6/mac-3.99-u4-b5-s6.tar.gz"

# check source packages
for url in $PKG_SRC;do [ ! -e ${url##*/} ] && (echo "download: $url"; wget -N -c $url) done

CWD=`pwd`
TMP=${TMP:-$CWD}

SRC=$TMP/$pkgname
PKG=$TMP/$package
#
[ -d $PKG ] && rm -fr $PKG
[ -d $SRC ] && rm -fr $SRC

mkdir -p $SRC $PKG/{install,usr/{src,doc}/$pkgname}

tar xf $CWD/mac-$version.tar.gz --strip-components=1 -C $SRC
cd $SRC
./configure --help >$CWD/configure--help
#
CXXFLAGS="-O2 -march=$arch -mtune=$tune -DSHNTOOL " \
./configure \
    --prefix=/usr \
    --enable-assembly=yes
#    --enable-shared=yes \
#    --enable-static=yes
#
make || exit 1
make install DESTDIR=$PKG || exit 1

# docs
cp -a AUTHORS ChangeLog COPYING NEWS README TODO \
    src/Credits.txt src/History.txt src/License.htm src/Readme.htm \
  $PKG/usr/doc/$pkgname
chmod 644 -R $PKG/usr/doc/$pkgname/*

cd $PKG
# strip symbols
find . | xargs file | grep -e "executable" -e "shared object"| grep ELF | cut -s -f 1 -d : |\
	 xargs -r strip --strip-unneeded

find . | xargs file | grep "current ar archive" | cut -s -f 1 -d : |\
	 xargs -r strip --strip-debug
 
# create slack description
#  |-----handy-ruler-------------------------------------------------------|
cat <<EOF > install/slack-desc
mac: mac (Monkeys Audio Codec, a lossless audio codec)
mac:
mac: This is the MAC Linux port with the shntool.patch
mac:
EOF

cp $CWD/build-mac.sh usr/src/$pkgname
# package
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
md5sum $package.txz > $package.md5
echo "cxxlibs,gcc" >$package.dep
echo "$PKG_SRC" >$package.src

